Package org.silverpeas.mobile.client.apps.notifications.pages

## Class NotificationSenderPage

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent
        - - org.silverpeas.mobile.client.apps.notifications.pages.NotificationSenderPage

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `NotificationPagesEventHandler`, `View`, `PageEventHandler`

      public class NotificationSenderPage
      extends PageContent
      implements View, NotificationPagesEventHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected com.google.gwt.user.client.ui.HTMLPanel` | `container` |
    `protected NotificationsMessages` | `msg` |
    `protected com.google.gwt.user.client.ui.Anchor` | `send` |

    - ### Fields inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `clicked, pageTitle`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationSenderPage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onNotificationSended​(NotificationSendedEvent event)` |
    `protected void` | `sendNotification​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `void` | `setSelection​(List<BaseDTO> selection)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `addActionMenu, addActionShortcut, back, changeSelectionNumber, clearActions, clickGesture, finishLoadingData, getApp, getPageTitle, hide, isSelectionMode, isVisible, loadedDataEvent, loadedMoreDataEvent, onPreviewNativeEvent, receiveEvent, removeActionMenu, removeActionShortcut, setApp, setPageTitle, setSelectionMode, setViewport, setVisible, show`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### container

          @UiField
          protected com.google.gwt.user.client.ui.HTMLPanel container

    - #### msg

          @UiField(provided=true)
          protected NotificationsMessages msg

    - #### send

          @UiField
          protected com.google.gwt.user.client.ui.Anchor send

  - ### Constructor Detail

    - #### NotificationSenderPage

          public NotificationSenderPage()

  - ### Method Detail

    - #### setSelection

          public void setSelection​(List<BaseDTO> selection)

    - #### sendNotification

          @UiHandler("send")
          protected void sendNotification​(com.google.gwt.event.dom.client.ClickEvent event)

    - #### onNotificationSended

          public void onNotificationSended​(NotificationSendedEvent event)

      Specified by:
        `onNotificationSended` in interface `NotificationPagesEventHandler`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `View`
      Overrides:
        `stop` in class `PageContent`